 ;;;;; I cutted alot from original Gandalf's code (notice there is no more mounted version, but i don't need it for this map + other things)
 ;;;;; I also removed taunting emotion as i find it ugly



		IdleAnimationState
			StateName = Idle
			Animation = Foot_IDLB ; Bored Idle
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLB
				AnimationMode       = ONCE
				AnimationPriority   = 20
			End
			Animation = Foot_IDLC ; Bored Fidget
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLC
				AnimationMode       = ONCE
				AnimationPriority   = 2
			End
			Animation = Foot_IDLD ; Bored Fidget
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLD
				AnimationMode       = ONCE
				AnimationPriority   = 1
			End
			Animation = Foot_IDLE ; Bored Fidget
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLE
				AnimationMode       = ONCE
				AnimationPriority   = 2
			End
						
			BeginScript
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Selected" then CurDrawableSetTransitionAnimState("TRANS_Selected_To_Idle") end
				CurDrawableHideSubObject("Staff_Light")			
			EndScript					
		End
; --- stunned anims  Which must go before deaths in case we are dying in the air.  Plus, DyingSplatted must of course be before Dying
		AnimationState      = STUNNED_FLAILING 
			Animation = StunnedFlail
				AnimationName         = GUGandalfG_SKL.GUGandalfG_FLYA
				AnimationMode     = LOOP
			End
		End
		AnimationState      = DYING SPLATTED
			Animation = Stunned
				AnimationName         = GUGandalfG_SKL.GUGandalfG_LNDA
				AnimationMode     = ONCE
			End
;      ;ParticleSysBone   = None GandalfIllumination FollowBone:yes FXTrigger:NONE Persist:KILL PersistID:100
		End
		AnimationState        = DYING AFLAME
			Animation = DieAflame
				AnimationName           = GUGandalfG_SKL.GUGandalfG_MFDA
				AnimationMode       = LOOP
			End
		End
		AnimationState        = DYING
			Animation = Die
				AnimationName           = GUGandalfG_SKL.GUGandalfG_DIEB
				AnimationMode       = ONCE
			End
;      ;ParticleSysBone     = None GandalfIllumination FollowBone:yes FXTrigger:NONE Persist:KILL PersistID:100
		End
		AnimationState        = STUNNED_STANDING_UP
			Animation           = GUGandalfG_GTPA
				AnimationName     = GUGandalfG_SKL.GUGandalfG_GTPA
				AnimationMode     = ONCE
			End
		End
		AnimationState      = STUNNED
			Animation = Stunned
				AnimationName         = GUGandalfG_SKL.GUGandalfG_LNDA
				AnimationMode     = ONCE
			End
;      ;ParticleSysBone   = None GandalfIllumination FollowBone:yes FXTrigger:NONE Persist:KILL PersistID:100
		End
		AnimationState						= PARALYZED
			Animation
				AnimationName				= GUGandalfG_SKL.GUGandalfG_IDLB
				AnimationMode				= LOOP
			End
		End
		AnimationState        =  PASSENGER EATING
			StateName = BeingEaten
			Animation
				AnimationName           = GUGandalfG_SKL.GUGandalfG_EATA
				AnimationMode       = ONCE
				AnimationBlendTime	=	4
			End
		End
		AnimationState        =  PASSENGER
		StateName = BeingEaten
			Animation
				AnimationName           = GUGandalfG_SKL.GUGandalfG_FLLA
				AnimationMode       = LOOP
				AnimationBlendTime	=	4
			End
		End
;;; WORD OF POWER ANIMS ON FOOT ;;;
		AnimationState        =  SPECIAL_WEAPON_ONE
			StateName = Attacking
			Animation
				AnimationName           = GUGandalfG_SKL.GUGandalfG_SPCK
				AnimationMode       = ONCE
			End
			FXEvent			= Frame:5 Name:FX_GandalfPreAttackBlast
		End
;;; WIZARD BLAST ANIMS ON FOOT ;;;
		AnimationState        =  SPECIAL_WEAPON_TWO
			StateName = Attacking

			Animation
				AnimationName       = GUGandalfG_SKL.GUGandalfG_SPCL
				AnimationMode       = ONCE
			End
		End
;;; LIGHTNING CHARGE ANIMS ON FOOT ;;;
		AnimationState        =  PACKING_TYPE_1 UNPACKING
			StateName = Attacking
			Animation = LightningSwordStart
				AnimationName           = GUGandalfG_SKL.GUGandalfG_SPE3
				AnimationMode       = ONCE
			End
			FXEvent			= Frame:14 Name:FX_GandalfLightningCharge
;			FXEvent			= Frame:70 Name:FX_GandalfLightningFizzle
			FXEvent			= Frame:14 Name:FX_GandalfLightningSword  FrameStop:70
		End
		AnimationState        =  PACKING_TYPE_1 PREPARING
			StateName = Attacking
			Animation = LightningSwordLoop
				AnimationName           = GUGandalfG_SKL.GUGandalfG_SPE2
				AnimationMode       = LOOP
			End
		End
		AnimationState        =  PACKING_TYPE_1 PACKING
			StateName = Attacking
			Animation = LightningSwordPutAway
				AnimationName           = GUGandalfG_SKL.GUGandalfG_SPE1
				AnimationMode       = ONCE
			End
		End
;;; ISTARI LIGHT STAFF WEAPON ON FOOT ;;;
		AnimationState        =  SPECIAL_WEAPON_THREE ; FIRING_OR_PREATTACK_C
			StateName = Attacking
			Animation = StaffLaser
				AnimationName           = GUGandalfG_SKL.GUGandalfG_SPCH ; isitari's light?
				AnimationMode       = ONCE
			End
			FXEvent			= Frame:30 Name:FX_GandalfStaffFlare
		End
		AnimationState        = MOVING FIRING_OR_PREATTACK_A
			ShareAnimation		= Yes
			Animation           = RunAndFire
				AnimationName       = GUGandalfG_SKL.GUGandalfG_ATRA
				AnimationMode       = LOOP
			End
			Flags               = RANDOMSTART  
		End
		AnimationState        =  FIRING_OR_PREATTACK_A
			Animation = StaffSwing
				AnimationName           = GUGandalfG_SKL.GUGandalfG_ATKA
				AnimationMode       = ONCE
				UseWeaponTiming		= Yes
			End
			Animation = SwordSwing
			  AnimationName           = GUGandalfG_SKL.GUGandalfG_ATKB	
			  AnimationMode       = ONCE
			  UseWeaponTiming		= Yes
			End
			Animation = SpinningSwordStaff
			  AnimationName           = GUGandalfG_SKL.GUGandalfG_ATKC	
			  AnimationMode       = ONCE
			  UseWeaponTiming		= Yes
			End			
		End
		AnimationState    = MOVING WANDER
			Animation = Wandering
				AnimationName           = GUGandalfG_SKL.GUGandalfG_WLKA ;32
				AnimationMode       = LOOP
			End
		End
		AnimationState        = MOVING
			Animation = Moving
				AnimationName           = GUGandalfG_SKL.GUGandalfG_RUNB ;20
				AnimationMode       = LOOP
			End
			Flags               = RANDOMSTART
		End
		AnimationState        = EMOTION_ALERT
			Animation           = ALERT_1
				AnimationName     = GUGandalfG_SKL.GUGandalfG_IDLA
				AnimationMode     = ONCE
			End
			Flags               = RESTART_ANIM_WHEN_COMPLETE ; acts like an idle animation & keeps running the animations.
		End
		AnimationState        = LEVELED	USER_1; This state clears itself in 3 of your Earth seconds
			Animation = Yippee
				AnimationName           = GUGandalfG_SKL.GUGandalfG_LVLA
				AnimationMode       = ONCE
			End
			BeginScript
				CurDrawableShowSubObject("Staff_Light")			
			EndScript						
		End
		AnimationState        = LEVELED	; This state clears itself in 3 of your Earth seconds
			Animation = Yippee
				AnimationName           = GUGandalfG_SKL.GUGandalfG_LVLA
				AnimationMode       = ONCE
			End
		End
		TransitionState					=	TRANS_Idle_to_Selected
			Animation					=	ATNA
				AnimationName			=	GUGandalfG_SKL.GUGandalfG_ATNA
				AnimationMode			=	ONCE
			End
		End
		TransitionState					=	TRANS_Selected_To_Idle
			Animation					=	ATNE ;ATNC
				AnimationName			=	GUGandalfG_SKL.GUGandalfG_ATNE ;C
				AnimationMode			=	ONCE
			End
		End
		AnimationState				=	SELECTED USER_1
			StateName			=	Selected
			SimilarRestart			=   Yes			
			Animation			=	ATNB			
				AnimationName		=	GUGandalfG_SKL.GUGandalfG_ATNB
				AnimationMode		=	LOOP
			End
			BeginScript
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Idle" then CurDrawableSetTransitionAnimState("TRANS_Idle_to_Selected") end
			EndScript
		End
		AnimationState        = RAISING_FLAG
			Animation
				AnimationName       = GUGandalfG_SKL.GUGandalfG_LVLA 
				AnimationMode       = LOOP
			End
		End
		AnimationState        = EMOTION_CELEBRATING
			Animation
				AnimationName       = GUGandalfG_SKL.GUGandalfG_LVLA
				AnimationMode       = LOOP
			End
		End
;------------------------------------------------------------------------------------- Removing this ugly animation. Still can activate-it ingame with RAISING_FLAG or EMOTION_CELEBRATING
;		AnimationState        = EMOTION_TAUNTING
;			Animation
;				AnimationName       = GUGandalfG_SKL.GUGandalfG_LVLA 
;				AnimationMode       = LOOP
;			End
;		End
;-------------------------------------------------------------------------------------
		AnimationState				=	SELECTED
			StateName			=	Selected
			SimilarRestart			=       Yes			
			Animation			=	ATNB			
				AnimationName		=	GUGandalfG_SKL.GUGandalfG_ATNB
				AnimationMode		=	LOOP
			End
			BeginScript
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Idle" then CurDrawableSetTransitionAnimState("TRANS_Idle_to_Selected") end
				CurDrawableHideSubObject("Staff_Light")			
			EndScript
		End
		AnimationState = HIT_REACTION HIT_LEVEL_1
			Animation = Hit_Level_1_a
				AnimationName = GUGandalfG_SKL.GUGandalfG_HITA
				AnimationMode = ONCE
			End
		End
		AnimationState        =  USER_1
			StateName = user_1_idle
			Animation = Foot_IDLB ; Bored Idle
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLB
				AnimationMode       = ONCE
				AnimationPriority   = 2
			End
			Animation = Foot_IDLC ; Bored Fidget
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLC
				AnimationMode       = ONCE
				AnimationPriority   = 2
			End
			Animation = Foot_IDLD ; Bored Fidget
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLD
				AnimationMode       = ONCE
				AnimationPriority   = 1
			End
			Animation = Foot_IDLE ; Bored Fidget
				AnimationName       = GUGandalfG_SKL.GUGandalfG_IDLE
				AnimationMode       = ONCE
				AnimationPriority   = 2
			End
			BeginScript
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Selected" then CurDrawableSetTransitionAnimState("TRANS_Selected_To_Idle") end
				CurDrawableShowSubObject("Staff_Light")			
			EndScript			
		End